Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.model.entity
Class StsFault

    java.lang.Object
      org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
          org.eclipse.higgins.ics.gwt.base.client.model.entity.StsFault

All Implemented Interfaces:
  Serializable

public class StsFault
extends BaseEntity

See Also:
  Serialized Form

Constructor Summary
`StsFault()`
`StsFault(String action, String code, String detail, String reason, String subcode)`

Method Summary
`String` | `getAction()` Gets the action value for this StsFaultException.
`String` | `getCode()` Gets the code value for this StsFaultException.
`String` | `getDetail()` Gets the detail value for this StsFaultException.
`String` | `getReason()` Gets the reason value for this StsFaultException.
`String` | `getSubcode()` Gets the subcode value for this StsFaultException.
`void` | `setAction(String action)` Sets the action value for this StsFaultException.
`void` | `setCode(String code)` Sets the code value for this StsFaultException.
`void` | `setDetail(String detail)` Sets the detail value for this StsFaultException.
`void` | `setReason(String reason)` Sets the reason value for this StsFaultException.
`void` | `setSubcode(String subcode)` Sets the subcode value for this StsFaultException.

Methods inherited from class org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
`getName, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StsFault

    public StsFault()

### StsFault

    public StsFault(String action,
                    String code,
                    String detail,
                    String reason,
                    String subcode)

Method Detail

### getAction

    public String getAction()

  Gets the action value for this StsFaultException.

  Returns:
    action

### setAction

    public void setAction(String action)

  Sets the action value for this StsFaultException.

  Parameters:
    `action` -

### getCode

    public String getCode()

  Gets the code value for this StsFaultException.

  Returns:
    code

### setCode

    public void setCode(String code)

  Sets the code value for this StsFaultException.

  Parameters:
    `code` -

### getDetail

    public String getDetail()

  Gets the detail value for this StsFaultException.

  Returns:
    detail

### setDetail

    public void setDetail(String detail)

  Sets the detail value for this StsFaultException.

  Parameters:
    `detail` -

### getReason

    public String getReason()

  Gets the reason value for this StsFaultException.

  Returns:
    reason

### setReason

    public void setReason(String reason)

  Sets the reason value for this StsFaultException.

  Parameters:
    `reason` -

### getSubcode

    public String getSubcode()

  Gets the subcode value for this StsFaultException.

  Returns:
    subcode

### setSubcode

    public void setSubcode(String subcode)

  Sets the subcode value for this StsFaultException.

  Parameters:
    `subcode` -

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD